/*
 * This software is Copyright (C) 2006-2008
 * Fachhochschule Hannover (University of Applied Sciences and Arts)
 * Use is subject to license conditions.
 *
 * The main licensing options available are:
 *
 * Open Source Licensing. This is the appropriate option if you want to
 * share the source code of your application with everyone you
 * distribute it to, and you also want to give them the right to share
 * who uses it. If you wish to use TNC@FHH under Open Source Licensing,
 * you must contribute all your source code to the open source
 * community in accordance with the GPL Version 2 when your application
 * is distributed. See http://www.gnu.org/copyleft/gpl.html
 *
 * Commercial Licensing. This is the appropriate option if you are
 * creating proprietary applications and you are not prepared to
 * distribute and share the source code of your application.
 * Contact tnc@inform.fh-hannover.de for details.
 * 
 * http://tnc.inform.fh-hannover.de/
 */

#include "LTDLHelper.h"

namespace TNCUtil
{

namespace ltdl
{

#define CLASSNAME "LTDLHelper"

#ifndef __WITHOUT_LTDL__
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *                                                                           *
 * lt_ptr getSymbol(lt_dlhandle handle, const char *name)                    *
 *                                     throw (TNCUtil::exception::Exception) *
 *                                                                           *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
lt_ptr getSymbol(lt_dlhandle handle, const char *name) throw (TNCUtil::exception::Exception)
{
	lt_ptr ret = lt_dlsym(handle, name);
	if(ret == NULL){
		throw exception::Exception(std::string(CLASSNAME) + ": Failed to resolve symbol " + name + ":" + lt_dlerror());
	}
	return ret;
}
#endif


} // namespace ltdl

} // namespace TNCUtil

