/*
 * This software is Copyright (C) 2006-2008
 * Fachhochschule Hannover (University of Applied Sciences and Arts)
 * Use is subject to license conditions.
 *
 * The main licensing options available are:
 *
 * Open Source Licensing. This is the appropriate option if you want to
 * share the source code of your application with everyone you
 * distribute it to, and you also want to give them the right to share
 * who uses it. If you wish to use TNC@FHH under Open Source Licensing,
 * you must contribute all your source code to the open source
 * community in accordance with the GPL Version 2 when your application
 * is distributed. See http://www.gnu.org/copyleft/gpl.html
 *
 * Commercial Licensing. This is the appropriate option if you are
 * creating proprietary applications and you are not prepared to
 * distribute and share the source code of your application.
 * Contact tnc@inform.fh-hannover.de for details.
 *
 * http://tnc.inform.fh-hannover.de/
 */

#ifndef LTDLHELPER_H_
#define LTDLHELPER_H_

#include <ltdl.h>
#include "../exception/Exception.h"

/** @file
 *
 * Helper functions for ltdl.
 *
 * <h3>Changelog:</h3>
 * <ul>
 *   <li>27.02.2008 - create class (ib)</li>
 * </ul>
 *
 * @date 27.02.2008
 * @author Ingo Bente (ib)
 */
namespace TNCUtil
{

namespace ltdl
{

#ifndef __WITHOUT_LTDL__
/**
 * Wrapper function for lt_dlsym
 *
 * @param handle The handle to the .so file.
 * @param name The name of the symbol that shall be retrieved.
 *
 * @return A pointer to the desired function.
 */
lt_ptr getSymbol(lt_dlhandle handle, const char *name) throw (TNCUtil::exception::Exception);
#endif

} // namespace ltdl

} // namespace TNCUtil

#endif /*LTDLHELPER_H_*/
