#ifdef __WINDOWS__
/*
 * This software is Copyright (C) 2006 FH Hannover
 * Use is subject to license conditions.
 *
 * The main licensing options available are:
 *
 * Open Source Licensing. This is the appropriate option if you want to share the
 * source code of your application with everyone you distribute it to, and you
 * also want to give them the right to share who uses it. If you wish to use
 * TNC@FHH under Open Source Licensing, you must contribute all your source code
 * to the open source community in accordance with the GPL Version 2 when your
 * application is distributed. See http://www.gnu.org/copyleft/gpl.html
 *
 * Commercial Licensing. This is the appropriate option if you are creating
 * proprietary applications and you are not prepared to distribute and share the
 * source code of your application. Contact tnc@inform.fh-hannover.de for details.
 */

/**
 * Header file for WMIAccessHelper. Provides helper methods to access WMI.
 *
 * @author: Daniel Wuttke
 * @date: 12/07/2006
 */
#ifndef WMIACCESSHELPER_H_
#define WMIACCESSHELPER_H_

#include <windows.h>
#include "../io/TNCLog.h"
#include "../TNCUtil.h"

namespace WMIAccessHelper {

    bool openWMINamespace(BSTR wmiNamespace, const char *pathToDLL = ".");
    char ** executeWMIStatement(BSTR statement, BSTR values[], int valueCount, int skip = 0);
    void closeWMINamespace();

    std::string isServiceRunning(BSTR serviceName, const char *pathToDLL = ".");
    std::string isProcessRunning(BSTR processName, const char *pathToDLL = ".");
}

#endif /*WMIACCESSHELPER_H_*/
#endif /*__WINDOWS__*/
