/*
 * This software is Copyright (C) 2006-2008
 * Fachhochschule Hannover (University of Applied Sciences and Arts)
 * Use is subject to license conditions.
 *
 * The main licensing options available are:
 *
 * Open Source Licensing. This is the appropriate option if you want to
 * share the source code of your application with everyone you
 * distribute it to, and you also want to give them the right to share
 * who uses it. If you wish to use TNC@FHH under Open Source Licensing,
 * you must contribute all your source code to the open source
 * community in accordance with the GPL Version 2 when your application
 * is distributed. See http://www.gnu.org/copyleft/gpl.html
 *
 * Commercial Licensing. This is the appropriate option if you are
 * creating proprietary applications and you are not prepared to
 * distribute and share the source code of your application.
 * Contact tnc@inform.fh-hannover.de for details.
 *
 * http://tnc.inform.fh-hannover.de/
 */
#include "XercesUtils.h"
//#include "../exception/Exception.h"

namespace TNCUtil
{

namespace xml
{

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *                                                                           *
 *                     XercesString getAttributeValue()                      *
 *                                                                           *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
XercesString getAttributeValue(xercesc::DOMNode & node, const XercesString & attName) throw(TNCUtil::exception::Exception)
{
    xercesc::DOMNamedNodeMap * attributeList = node.getAttributes();
    if (attributeList == NULL)
    	throw TNCUtil::exception::Exception("xerces attributeList == NULL");

    xercesc::DOMNode * attribute = attributeList->getNamedItem(attName.c_str());
    if (attribute == NULL)
    	throw TNCUtil::exception::Exception("xerces attribute not exist");

   	return attribute->getNodeValue();
}


} // xml

} // TNCUtil
