/*
 * This software is Copyright (C) 2006-2008
 * Fachhochschule Hannover (University of Applied Sciences and Arts)
 * Use is subject to license conditions.
 *
 * The main licensing options available are:
 *
 * Open Source Licensing. This is the appropriate option if you want to
 * share the source code of your application with everyone you
 * distribute it to, and you also want to give them the right to share
 * who uses it. If you wish to use TNC@FHH under Open Source Licensing,
 * you must contribute all your source code to the open source
 * community in accordance with the GPL Version 2 when your application
 * is distributed. See http://www.gnu.org/copyleft/gpl.html
 *
 * Commercial Licensing. This is the appropriate option if you are
 * creating proprietary applications and you are not prepared to
 * distribute and share the source code of your application.
 * Contact tnc@inform.fh-hannover.de for details.
 *
 * http://tnc.inform.fh-hannover.de/
 */
#ifndef XERCESUTILS_H_
#define XERCESUTILS_H_

#include "XercesString.h"
#include <xercesc/dom/DOM.hpp>
#include "../exception/Exception.h"

/** @file
 *
 * Utils for Xerces
 *
 * <h3>Changelog:</h3>
 * <ul>
 *   <li>28.02.2008 - create file (mbs)</li>
 * </ul>
 *
 * @date 28.02.2008
 * @author Mike Steinmetz (mbs)
 */

namespace TNCUtil
{

namespace xml
{

/**
 * Retrieves the value of an attribute of the specified node.
 *
 * @param node The node to search for the attribute.
 * @param attName The name of the searched attribute.
 * @throw An exception if the attribute was not found in the specified node.
 *
 */
XercesString getAttributeValue(xercesc::DOMNode & node, const XercesString & attName) throw (TNCUtil::exception::Exception);

}

}

#endif /*XERCESUTILS_H_*/
